#!/bin/tclsh
#part of imdb-dir.tcl
#(c) pull
set log /ftp-data/logs/imdb.log
set fname $argv
set pwd [pwd]
set debug 0
set callfromzipscript	1

if { $debug != 0 } {
	set out [open .debug a+]
	puts $out "$fname"
	puts $out "Path: $pwd"
	close $out
	}
 
switch [ lindex [ split [lindex [split $fname "/"] end] "." ] end ] {

nfo {
	set in [open $fname r ]
	
	while {![eof $in]} {
		set line [gets $in]
		
		if { [string match -nocase *imdb* $line] == 1  && [string match -nocase *http:* $line] == 1} {
		
			foreach row $line {
				if { [string match -nocase *http:* $row] == 1} {
					set sub1 [lindex [split $row "/"] end]
					set sub2 [lindex [split $row "http://"] 0]
					regsub "$sub1" $row "" row
					regsub "$sub2" $row "" row
					regsub "^:" $row "" row
					regsub {Title\?} $row/ "title/tt" row
					if { $debug != 0 } {
						puts $sub1
						puts $sub2
						puts "$row;$pwd"
					} else {
						if {[string match -nocase {http://*imdb.com/title/tt??????[0-9]*} $row ] == 1} {
							set out [open $log a+]
							if {[regexp "//$" $row] == 1} {
								regsub "/$" $row "" row
							}
							if {[regexp "//$" $row] == 1} {
								regsub "/$" $row "" row
							}
							puts $out "$row;$pwd"
							close $out
						}
					}
				}
			}
		}
	}
	close $in
}
}

if { $callfromzipscript == 1 } {
	exec /bin/imdb-dir.tcl &
}
exit 0
